Subject: Re: [bug#60902] [PATCH 06/25] gnu: Add go-github-com-jba-templatecheck.

From: Katherine Cox-Buday <[email-masked]>
Date: Tue, 07 Feb 2023 10:12:31 -0700

"( via Guix-patches" via <[email-masked]> writes:

> * gnu/packages/golang.scm (go-github-com-jba-templatecheck): New variable.
>
>> --- a/gnu/packages/golang.scm
>> +++ b/gnu/packages/golang.scm
>
>> @@ -8541,6 +8541,33 @@ (define-public go-github-com-jba-printsrc
>
>> +    (synopsis "Checks Go templates for problems")
>
> s/problems/errors/

Upstream's synopsis uses the word "validity". I think I probably pulled
the synopsis from the first sentence of upstream's description, which
uses the word "problems".

For future reference, would something like this really hold up a merge?

>> +    (description
>> +     "Package templatecheck checks Go templates for problems.  It can detect
>> +many errors that are normally caught only during execution.  Use templatecheck
>> +in tests to find template errors early, and along template execution paths
>> +that might only rarely be reached.")
>
>   (description
>    "This package provides a Go library for checking Go templates for errors,
>   including many errors normally caught only during execution.")

Can you give more general guidance on what a description should have? I
can't infer any general rules from the reviews you've given, other than
maybe you are suggesting shorter descriptions. But the manual says:

    Descriptions should take between five and ten lines.

So I think my inference is probably not correct.

>> +    ;; MIT
>
> Don't bother with the comment here :)

No? I like knowing what license things are! But if this is a style
thing, I can start leaving them off.

-- 
Katherine